@import "../../components/00_base/media-queries.pcss.css";


/* Embedded entities */

.text-content,
.cke_editable {
  & figure {
    margin-inline: 0;
  }
}

/* Set margin for embedded media. Needs to account for media with subtitle and without (tricky) and right/left aligned  */
/* Use text-content class for all ckeditor fields, bulmas content class' margins cannot be properly overriden here */
.text-content,
.cke_editable {
  & > div > figure, 
  & > div > .embedded-entity {
    margin-top: var(--box-padding);
    margin-bottom: var(--box-padding);
  }
} 

/* Make align-center class work */
.text-content,
.cke_editable {
  & .align-center img {
    margin: 0 auto;
  }
}

/* Make caption always centered */
.text-content,
.cke_editable {
  & figcaption {
    text-align: center;
  }
}


/* Add margin to embedded and left or right aligned entities */
/* TODO: This was designed for medium size images but should work for all sizes */
@media (--md) {  
  .text-content,
  .cke_editable {
    & .align-left  {
      float: left;
      margin: 0 var(--box-padding) 0 0;
    }
    & .align-right {
      float: right;
      margin: 0 0 0 var(--box-padding);
    }
    /* Overwrite blazy min-width 50 % */
    & .blazy--field-media-image--h4c-small.field[data-blazy] {
      min-width: unset;
    }
    & [data-entity-embed-display="view_mode:media.h4c_small"] {
      max-width: 250px;
    }
    & [data-entity-embed-display="view_mode:media.h4c_medium"] {
      max-width: 400px;
    }
  }
}

/* Do not float some elements which makes formatting a page very hard (consistent look on all screen sizes) */
h2, h3, .align-right.embedded-entity, .align-left.embedded-entity {
  clear: both;
}
